import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.Statement;

public class ConnectionTest {

	public static void main(String[] args) {
		try{
			//JDBCドライバークラスを指定する
			String drivername = "com.mysql.jdbc.Driver";

			//データベースを指定する
			String url = "jdbc:mysql://localhost:3306/books?characterEncoding=utf8";

			//ユーザー名を指定する
			String username = "root";

			//パスワードを指定する
			String password = "";

			//指定したドライバークラスを読み込む
			Class.forName(drivername);

			//データベースに接続する
			Connection con = DriverManager.getConnection(url, username, password);

			//Usersテーブルのデータを取得するSQL文を作成する
			String sql = "SELECT * FROM Users";

			//Statementオブジェクトを取得する
			Statement st = con.createStatement();

			//SQL文を実行する
			ResultSet rs = st.executeQuery(sql);
			
			//データを取得する
			while(rs.next()){
				System.out.printf("ID：%s　", rs.getString(1));
				System.out.printf("ユーザー名：%s　", rs.getString("UserName"));
				System.out.printf("パスワード：**　", rs.getString(3));
				System.out.printf("氏名：%s\n", rs.getString(4));
			}

			//ResutlSetオブジェクトを閉じる
			rs.close();

			//データベースを切断する
			con.close();
		}catch(Exception e){
			//例外の状態を出力する
			e.printStackTrace();
		}
	}

}
